version: '3.7'

services:
  db:
    image: mysql:latest
    restart: always
    environment:
      MYSQL_ROOT_PASSWORD: frArcy*T*wuCEw^M2tcDjegkfd
      MYSQL_DATABASE: marketingdb
      MYSQL_USER: marketinguser
      MYSQL_PASSWORD: X^h7Wb6aAGoL9FrjvnauFSAHqF
    volumes:
      - ./mysql_data:/var/lib/mysql
      - ./my.cnf:/etc/mysql/conf.d/my.cnf:ro
    ports:
      - "3311:3306"

  phpmyadmin:
    image: phpmyadmin/phpmyadmin:latest
    restart: always
    depends_on:
      - db
    environment:
      PMA_HOST: db
      MYSQL_ROOT_PASSWORD: frArcy*T*wuCEw^M2tcDjegkfd
    ports:
      - "8080:80"
